Subject: bug#3300: 23.0.93; doc string of resize-mini-windows

From: Deniz Dogan <[email-masked]>
Date: Mon, 11 Jul 2011 19:33:56 +0200

On 2011-07-11 17:20, Lars Magne Ingebrigtsen wrote:
> "Drew Adams"<[email-masked]>  writes:
>
>> The doc string says that a value of `grow-only':
>>
>> "means let mini-windows grow only, until their display becomes empty,
>> at which point the windows go back to their normal size."
>>
>> That is not what happens.
>>
>> M-x hhhhhhhhhhhhh C-q C-j kkkkkkkkkkkkk C-q C-j mmmmmmmmmmmmmmmm
>>
>> Then use backspace or whatever, to empty the minibuffer. The height
>> remains at the max height it was grown to. Same thing if you use `C-x
>> C-f' or anything else.
>
> This looks like it has been fixed.  If I do the same, then the
> minibuffer shrinks down after a half-second timeout, apparently.
>

Possibly slightly off-topic: is the `when' call really necessary in 
`resize-mini-window'?  The docstring says that WINDOW is a minibuffer 
window, so that seems like some sort of prerequisite to me.